## NAS Get System Selection Preference

NAS Get System Selection Preference

## Functions

QmiMessageNasGetSystemSelectionPreferenceOutput * | qmi_message_nas_get_system_selection_preference_output_ref ()
void | qmi_message_nas_get_system_selection_preference_output_unref ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_manual_network_selection ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_td_scdma_band_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_gsm_wcdma_acquisition_order_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_service_domain_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_network_selection_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_lte_band_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_roaming_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_cdma_prl_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_band_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_mode_preference ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_emergency_mode ()
gboolean | qmi_message_nas_get_system_selection_preference_output_get_result ()
void | qmi_client_nas_get_system_selection_preference ()
QmiMessageNasGetSystemSelectionPreferenceOutput * | qmi_client_nas_get_system_selection_preference_finish ()

## Types and Values

| QmiMessageNasGetSystemSelectionPreferenceOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetSystemSelectionPreferenceOutput

## Description

## Functions

### qmi_message_nas_get_system_selection_preference_output_ref ()

    QmiMessageNasGetSystemSelectionPreferenceOutput *
    qmi_message_nas_get_system_selection_preference_output_ref
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_unref ()

    void
    qmi_message_nas_get_system_selection_preference_output_unref
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_manual_network_selection ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_manual_network_selection
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    guint16 *value_manual_network_selection_mcc,
                                    guint16 *value_manual_network_selection_mnc,
                                    gboolean *value_manual_network_selection_includes_pcs_digit,
                                    GError **error);

Get the 'Manual Network Selection' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_manual_network_selection_mcc | a placeholder for the output guint16, or `NULL` if not required. |
value_manual_network_selection_mnc | a placeholder for the output guint16, or `NULL` if not required. |
value_manual_network_selection_includes_pcs_digit | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_td_scdma_band_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_td_scdma_band_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasTdScdmaBandPreference *value_td_scdma_band_preference,
                                    GError **error);

Get the 'TD SCDMA Band Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_td_scdma_band_preference | a placeholder for the output QmiNasTdScdmaBandPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_gsm_wcdma_acquisition_order_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_gsm_wcdma_acquisition_order_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasGsmWcdmaAcquisitionOrderPreference *value_gsm_wcdma_acquisition_order_preference,
                                    GError **error);

Get the 'GSM WCDMA Acquisition Order Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_gsm_wcdma_acquisition_order_preference | a placeholder for the output QmiNasGsmWcdmaAcquisitionOrderPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_service_domain_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_service_domain_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasServiceDomainPreference *value_service_domain_preference,
                                    GError **error);

Get the 'Service Domain Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_service_domain_preference | a placeholder for the output QmiNasServiceDomainPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_network_selection_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_network_selection_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasNetworkSelectionPreference *value_network_selection_preference,
                                    GError **error);

Get the 'Network Selection Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_network_selection_preference | a placeholder for the output QmiNasNetworkSelectionPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_lte_band_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_lte_band_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasLteBandPreference *value_lte_band_preference,
                                    GError **error);

Get the 'LTE Band Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_lte_band_preference | a placeholder for the output QmiNasLteBandPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_roaming_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_roaming_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasRoamingPreference *value_roaming_preference,
                                    GError **error);

Get the 'Roaming Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_roaming_preference | a placeholder for the output QmiNasRoamingPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_cdma_prl_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_cdma_prl_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasCdmaPrlPreference *value_cdma_prl_preference,
                                    GError **error);

Get the 'CDMA PRL Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_cdma_prl_preference | a placeholder for the output QmiNasCdmaPrlPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_band_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_band_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasBandPreference *value_band_preference,
                                    GError **error);

Get the 'Band Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_band_preference | a placeholder for the output QmiNasBandPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_mode_preference ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_mode_preference
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    QmiNasRatModePreference *value_mode_preference,
                                    GError **error);

Get the 'Mode Preference' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_mode_preference | a placeholder for the output QmiNasRatModePreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_emergency_mode ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_emergency_mode
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    gboolean *value_emergency_mode,
                                    GError **error);

Get the 'Emergency mode' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
value_emergency_mode | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_system_selection_preference_output_get_result ()

    gboolean
    qmi_message_nas_get_system_selection_preference_output_get_result
                                   (QmiMessageNasGetSystemSelectionPreferenceOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetSystemSelectionPreferenceOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_nas_get_system_selection_preference ()

    void
    qmi_client_nas_get_system_selection_preference
                                   (QmiClientNas *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get System Selection Preference request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_system_selection_preference_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_get_system_selection_preference_finish ()

    QmiMessageNasGetSystemSelectionPreferenceOutput *
    qmi_client_nas_get_system_selection_preference_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_system_selection_preference()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_system_selection_preference()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetSystemSelectionPreferenceOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_system_selection_preference_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasGetSystemSelectionPreferenceOutput

    typedef struct _QmiMessageNasGetSystemSelectionPreferenceOutput QmiMessageNasGetSystemSelectionPreferenceOutput;

The QmiMessageNasGetSystemSelectionPreferenceOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0